package cz.zcu.kiv.db.dao;

import cz.zcu.kiv.db.model.osoby.Osoba;
import cz.zcu.kiv.db.model.udalosti.Udalost;
import java.util.List;

public interface UdalostDao {

    public List<Udalost> getUdalosti();

    public List<Udalost> getUdalosti(boolean vcetneNeaktivnich);

    public Udalost getUdalost(int id);

    public List<Udalost> getUdalostiDleOdpovedneOsoby(Osoba osoba);

    public List<Udalost> getUdalostiDleOdpovedneOsoby(Osoba osoba, boolean vcetneNeaktivnich);

    public List<Udalost> getUdalostiDleKontaktniOsoby(Osoba osoba);

    public List<Udalost> getUdalostiDleKontaktniOsoby(Osoba osoba, boolean vcetneNeaktivnich);

    public void ulozUdalost(Udalost udalost);

    public void smazUdalost(Udalost udalost);

    public void deaktivujUdalost(Udalost udalost);
}

