
package cz.zcu.kiv.db.dao.jdbc.model;

import java.util.List;

import cz.zcu.kiv.db.dao.StudiumDao;
import cz.zcu.kiv.db.model.studium.Predmet;
import cz.zcu.kiv.db.model.studium.PredmetVOboru;
import cz.zcu.kiv.db.model.studium.VyukaPredmetu;

/**
 *
 * @author Radek Muzika
 */
public class JdbcPredmet extends Predmet {

    private StudiumDao _studiumDao;
    
    @Override
    public List<PredmetVOboru> getPredmetVOborech() {
        if(super.getPredmetVOborech()==null) this.setPredmetVOborech(_studiumDao.getPredmetVOboruDlePredmetu(this));
        return super.getPredmetVOborech();
    }

    @Override
    public List<VyukaPredmetu> getVyukaPredmetu() {
        if(super.getVyukaPredmetu()==null) this.setVyukaPredmetu(_studiumDao.getVyukaPredmetuDlePredmetu(this));
        return super.getVyukaPredmetu();
    }

    public void setStudiumDao(StudiumDao studiumDao) {
        this._studiumDao = studiumDao;
    }

    
}
