
package cz.zcu.kiv.db.dao.jdbc.model;

import cz.zcu.kiv.db.dao.TemaDao;
import cz.zcu.kiv.db.model.studium.Tema;
import cz.zcu.kiv.db.model.studium.ZaverecnaPrace;

/**
 *
 * @author Radek Muzika
 */
public class JdbcZaverecnaPrace extends ZaverecnaPrace{

    private TemaDao _temaDao;
    private int fkTema;
    private boolean temaNeni = false;
    
    @Override
    public Tema getTema() {
        if(super.getTema()==null && !temaNeni && fkTema>0) {
            super.setTema(_temaDao.getTema(fkTema));
            if(super.getTema()==null) temaNeni = true;
        }
        return super.getTema();
    }

    public void setTemaDao(TemaDao temaDao) {
        this._temaDao = temaDao;
    }

    
}
