package cz.zcu.kiv.db.model.publikace;

import java.util.List;

import cz.zcu.kiv.db.model.JmennaEntita;
import cz.zcu.kiv.db.model.vyzkum.Grant;


public class Publikace extends JmennaEntita {

    private TypPublikace typPublikace;

    private TechReport techReport;

    private Riv riv;

    private Grant grant;

    private List<AutorstviPublikace> autorstviPublikace;

    private int rok;
    private String url;
    private String extAutori;
    
    public List<AutorstviPublikace> getAutorstviPublikace () {
        return autorstviPublikace;
    }

    public void setAutorstviPublikace (List<AutorstviPublikace> val) {
        this.autorstviPublikace = val;
    }

    public Riv getRiv () {
        return riv;
    }

    public void setRiv (Riv val) {
        this.riv = val;
    }

    public TechReport getTechReport () {
        return techReport;
    }

    public void setTechReport (TechReport val) {
        this.techReport = val;
    }

    public TypPublikace getTypPublikace () {
        return typPublikace;
    }

    public void setTypPublikace (TypPublikace val) {
        this.typPublikace = val;
    }

    public Grant getGrant () {
        return grant;
    }

    public void setGrant (Grant val) {
        this.grant = val;
    }

    public int getRok() {
        return rok;
    }

    public void setRok(int rok) {
        this.rok = rok;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getExtAutori() {
        return extAutori;
    }

    public void setExtAutori(String extAutori) {
        this.extAutori = extAutori;
    }
}

