package cz.zcu.kiv.db.model;

import java.util.Date;


/**
 * Bazova entita, pro tabulky ktere maji sloupce id a administrativni polozky zaznam_*.
 * @author Radek Muzika
 *
 */
public class ZakladniEntita {

    private Integer id;
    private boolean zaznam_aktivni;
    private Integer zaznam_editor;
    private Date zaznam_datum;
    
    public Integer getId() {
	    return id;
	}

	public void setId(Integer val) {
	    this.id = val;
	}

	
	/**
	 * Vraci ID osoby editora, null pokud tabulka nema sloupec zaznam_editor.
	 * @return
	 */
	public Integer getZaznamEditor() {
		return zaznam_editor;
	}

	public void setZaznamEditor(Integer idEditor) {
		this.zaznam_editor = idEditor;
	}

	/**
	 * Vraci datum posledni zmeny, null pokud tabulka nema sloupec zaznam_datum.
	 * @return
	 */
	public Date getZaznamDatum() {
		return zaznam_datum;
	}

	public void setZaznamDatum(Date datum) {
		this.zaznam_datum = datum;
	}

	/**
	 * Vraci priznak zda je zaznam aktivni tedy ne-smazany, null pokud tabulka nema sloupec zaznam_aktivni.
	 * @return
	 */
	public boolean isZaznamAktivni() {
        return zaznam_aktivni;
    }

    public void setZaznamAktivni(boolean val) {
        this.zaznam_aktivni = val;
    }

    public boolean isNovyZaznam() {
		return (this.id == null || this.id<1);
	}

}

